Project

General

Profile

Feature #15341

Upgrade to Stretch 9.4

Added by intrigeri about 1 year ago. Updated about 1 year ago.

Status:
Resolved
Priority:
Normal
Assignee:
-
Category:
-
Target version:
Start date:
02/11/2018
Due date:
% Done:

100%

QA Check:
Pass
Feature Branch:
feature/15341-stretch-9.4
Type of work:
Code
Blueprint:
Starter:
Affected tool:

Subtasks

Feature #15304: Decide when we upgrade to Stretch 9.4Resolved

Feature #15340: Enable Stretch proposed-updates in Tails 3.6~rc1Resolved

Bug #15372: devel branch FTBFS since apparmor/2.11.0-3+deb9u2 reached stretch-proposed-updatesResolved


Related issues

Blocks Tails - Feature #13245: Core work 2018Q1: Foundations Team Resolved 06/29/2017
Blocks Tails - Bug #15383: libc6-dev fails to install Resolved 03/06/2018

Associated revisions

Revision 7b70cb60 (diff)
Added by intrigeri about 1 year ago

Drop AppArmor feature set pinning: this is now done in Stretch (refs: #15341).

Technically it's only done in stable-proposed-updates for now
but it'll be part of Stretch 9.4.

Revision 3ea2920a (diff)
Added by intrigeri about 1 year ago

Drop AppArmor feature set pinning: this is now done in Stretch (refs: #15341).

Technically it's only done in stable-proposed-updates for now
but it'll be part of Stretch 9.4.

Revision 78f46f0b (diff)
Added by intrigeri about 1 year ago

Bump the 'debian' APT snapshot to 2018031004: Stretch 9.4 (refs: #15341)

Revision 8ba28e0a (diff)
Added by intrigeri about 1 year ago

Revert "Enable and use the Debian stretch-proposed-updates APT repository, anticipating on the Stretch 9.4 point release (refs: #15341)"

This reverts commit 074be6b2d40dca7d7ca400316451631d728205cd.

Stretch 9.4 is out :)

Revision 3cba81a0
Added by bertagaz about 1 year ago

Merge remote-tracking branch 'origin/feature/15341-stretch-9.4' into testing

Fix-committed: #15341

History

#1 Updated by intrigeri about 1 year ago

#2 Updated by intrigeri about 1 year ago

  • Status changed from Confirmed to In Progress

#3 Updated by intrigeri about 1 year ago

  • Feature Branch set to feature/15341-stretch-9.4

#4 Updated by intrigeri about 1 year ago

  • Blocks Bug #15383: libc6-dev fails to install added

#5 Updated by intrigeri about 1 year ago

Dear RM, here's a tentative schedule:

  1. the archive part of the Debian point release should be done at some point on Saturday night
  2. then I'll trigger a full test suite run on a branch based on testing, that bumps our debian APT snapshot and removes stretch-p-u from the sources list
  3. if all goes well, I should assign that branch to you for QA on Sunday

I'll prioritize all this (in the middle of my holiday) so you have this ready for QA ASAP :)

But reviewing #15372 can happen earlier and would give us more data points on Saturday + Sunday.

#6 Updated by intrigeri about 1 year ago

  • Blocks Bug #15116: X.Org does not start with some NVidia Maxwell and Pascal graphic cards added

#7 Updated by intrigeri about 1 year ago

  • Blocks deleted (Bug #15116: X.Org does not start with some NVidia Maxwell and Pascal graphic cards)

#8 Updated by intrigeri about 1 year ago

intrigeri wrote:

Dear RM, here's a tentative schedule:

  1. the archive part of the Debian point release should be done at some point on Saturday night

This happened.

  1. then I'll trigger a full test suite run on a branch based on testing, that bumps our debian APT snapshot and removes stretch-p-u from the sources list

Done.

But reviewing #15372 can happen earlier and would give us more data points on Saturday + Sunday.

One week after that FTBFS fix was submitted, it's too late to be useful => forget it.

#9 Updated by intrigeri about 1 year ago

  • Assignee changed from intrigeri to bertagaz
  • QA Check set to Ready for QA
  1. then I'll trigger a full test suite run on a branch based on testing, that bumps our debian APT snapshot and removes stretch-p-u from the sources list

Done.

Failures analysis (after re-running the failed scenarios locally):

  • features/documentation.feature:17: known issue, passed locally
  • features/electrum.feature:15: passed locally
  • features/mac_spoofing.feature:56: known issue (#10774), passed locally
  • features/tor_stream_isolation.feature:26, features/torified_browsing.feature:44, features/torified_browsing.feature:109: the connection to our website failed for some reason; passed locally

.packages diff compared to 3.6~rc1's

Nothing particularly concerning. The only major change is the dbus upgrade but I trust the upstream+Debian maintainer as just as the Debian release team does. devel has been FTBFS'ing since a week (#15372) so we haven't more test suite data about this upgrade than what I'm reporting about above.

@@ -11,8 +11,8 @@
 anthy    9100h-25+b2
 anthy-common    9100h-25
 apg    2.2.3.dfsg.1-4+b1
-apparmor    2.11.0-3+deb9u1
-apparmor-profiles    2.11.0-3+deb9u1
+apparmor    2.11.0-3+deb9u2
+apparmor-profiles    2.11.0-3+deb9u2
 apparmor-profiles-extra    1.11
 apt    1.4.8
 apt-transport-tor    0.3
@@ -22,7 +22,7 @@
 audacity-data    2.1.2-2
 autopoint    0.19.8.1-2
 b43-fwcutter    1:019-3
-base-files    9.9+deb9u3
+base-files    9.9+deb9u4
 base-passwd    3.5.43
 bash    4.4-5
 bash-completion    1:2.1-4.3
@@ -37,7 +37,7 @@
 brasero-common    3.12.1-4
 bsdmainutils    9.0.12+nmu1
 bsdtar    3.2.2-2
-bsdutils    1:2.29.2-1
+bsdutils    1:2.29.2-1+deb9u1
 busybox    1:1.22.0-19+b3
 bzip2    1.0.6-8.1
 ca-certificates    20161130+nmu1
@@ -79,9 +79,9 @@
 dash    0.5.8-2.4
 dasher    5.0.0~beta~repack-2
 dasher-data    5.0.0~beta~repack-2
-dbus    1.10.24-0+deb9u1
-dbus-user-session    1.10.24-0+deb9u1
-dbus-x11    1.10.24-0+deb9u1
+dbus    1.10.26-0+deb9u1
+dbus-user-session    1.10.26-0+deb9u1
+dbus-x11    1.10.26-0+deb9u1
 dconf-cli    0.26.0-2+b1
 dconf-gsettings-backend:amd64    0.26.0-2+b1
 dconf-service    0.26.0-2+b1
@@ -101,7 +101,6 @@
 dmidecode    3.0-4
 dmsetup    2:1.02.137-2
 dmz-cursor-theme    0.4.4
-dnsutils    1:9.10.3.dfsg.P4-12.3+deb9u4
 dosfstools    4.1-1
 dpkg    1.18.24
 e2fslibs:amd64    1.43.4-2
@@ -185,7 +184,7 @@
 fonts-mlym    2:1.2
 fonts-nakula    1.0-3
 fonts-navilu    1.2-2
-fonts-opensymbol    2:102.7+LibO5.2.7-1+deb9u2
+fonts-opensymbol    2:102.7+LibO5.2.7-1+deb9u3
 fonts-orya    2:1.2
 fonts-orya-extra    2.0-4
 fonts-pagul    1.0-7
@@ -270,7 +269,7 @@
 gir1.2-gweather-3.0:amd64    3.20.4-1
 gir1.2-ibus-1.0:amd64    1.5.14-3
 gir1.2-javascriptcoregtk-3.0:amd64    2.4.11-3
-gir1.2-javascriptcoregtk-4.0:amd64    2.16.6-0+deb9u1
+gir1.2-javascriptcoregtk-4.0:amd64    2.18.6-1~deb9u1
 gir1.2-json-1.0:amd64    1.2.6-1
 gir1.2-mutter-3.0:amd64    3.22.4-1+tail1
 gir1.2-nautilus-3.0:amd64    3.22.3-1+deb9u1
@@ -289,7 +288,7 @@
 gir1.2-udisks-2.0:amd64    2.1.8-1
 gir1.2-upowerglib-1.0:amd64    0.99.4-4+b1
 gir1.2-webkit-3.0:amd64    2.4.11-3
-gir1.2-webkit2-4.0:amd64    2.16.6-0+deb9u1
+gir1.2-webkit2-4.0:amd64    2.18.6-1~deb9u1
 gir1.2-wnck-3.0:amd64    3.20.1-3
 git    1:2.11.0-3+deb9u2
 git-man    1:2.11.0-3+deb9u2
@@ -337,7 +336,7 @@
 gobi-loader    0.6-1+b2
 gpgv    2.1.18-8~deb9u1
 grep    2.27-2
-grilo-plugins-0.3:amd64    0.3.3-1
+grilo-plugins-0.3:amd64    0.3.3-1+deb9u1
 groff-base    1.22.3-9
 grub-common    2.02~beta3-5
 grub-efi-ia32    2.02~beta3-5
@@ -368,7 +367,6 @@
 hdparm    9.51+ds-1
 hicolor-icon-theme    0.15-1
 hopenpgp-tools    0.19.4-3
-host    1:9.10.3.dfsg.P4-12.3+deb9u4
 hostname    3.18+b1
 hpijs-ppds    3.16.11+repack0-3
 hplip    3.16.11+repack0-3
@@ -407,8 +405,8 @@
 iproute2    4.9.0-1+deb9u1
 iptables    1.6.0+snapshot20161117-6
 iputils-ping    3:20161105-1
-isc-dhcp-client    4.3.5-3
-isc-dhcp-common    4.3.5-3
+isc-dhcp-client    4.3.5-3+deb9u1
+isc-dhcp-common    4.3.5-3+deb9u1
 iso-codes    3.75-1
 isolinux    3:6.03+dfsg-14.1+deb9u1
 iucode-tool    2.1.1-1
@@ -432,8 +430,8 @@
 libanthy0:amd64    9100h-25+b2
 libao-common    1.2.2-1
 libao4    1.2.2-1
-libapparmor-perl    2.11.0-3+deb9u1
-libapparmor1:amd64    2.11.0-3+deb9u1
+libapparmor-perl    2.11.0-3+deb9u2
+libapparmor1:amd64    2.11.0-3+deb9u2
 libapt-inst2.0:amd64    1.4.8
 libapt-pkg5.0:amd64    1.4.8
 libarchive-tar-wrapper-perl    0.23-1
@@ -476,7 +474,7 @@
 libbind9-140:amd64    1:9.10.3.dfsg.P4-12.3+deb9u4
 libblas-common    3.7.0-2
 libblas3    3.7.0-2
-libblkid1:amd64    2.29.2-1
+libblkid1:amd64    2.29.2-1+deb9u1
 libbluetooth3:amd64    5.43-2+deb9u1
 libbluray1:amd64    1:0.9.3-3
 libboost-chrono1.62.0:amd64    1.62.0+dfsg-4
@@ -585,7 +583,7 @@
 libdatrie1:amd64    0.2.10-4+b1
 libdb5.3:amd64    5.3.28-12+deb9u1
 libdb5.3++:amd64    5.3.28-12+deb9u1
-libdbus-1-3:amd64    1.10.24-0+deb9u1
+libdbus-1-3:amd64    1.10.26-0+deb9u1
 libdbus-glib-1-2:amd64    0.108-2
 libdc1394-22:amd64    2.2.5-1
 libdca0:amd64    0.0.5-10
@@ -663,7 +661,7 @@
 libfaad2:amd64    2.8.0~cvs20161113-1
 libfarstream-0.2-5:amd64    0.2.8-2
 libfastjson4:amd64    0.99.4-1
-libfdisk1:amd64    2.29.2-1
+libfdisk1:amd64    2.29.2-1+deb9u1
 libffi6:amd64    3.2.1-6
 libfftw3-double3:amd64    3.3.5-3
 libfftw3-single3:amd64    3.3.5-3
@@ -858,7 +856,7 @@
 libjack-jackd2-0:amd64    1.9.10+20150825git1ed50c92~dfsg-5
 libjansson4:amd64    2.9-1
 libjavascriptcoregtk-3.0-0:amd64    2.4.11-3
-libjavascriptcoregtk-4.0-18:amd64    2.16.6-0+deb9u1
+libjavascriptcoregtk-4.0-18:amd64    2.18.6-1~deb9u1
 libjbig0:amd64    2.1-3.1+b2
 libjbig2dec0:amd64    0.13-4.1
 libjim0.76:amd64    0.76-2+b1
@@ -951,7 +949,7 @@
 libmoosex-types-structured-perl    0.35-1
 libmoox-handlesvia-perl    0.001008-2
 libmoox-late-perl    0.015-2
-libmount1:amd64    2.29.2-1
+libmount1:amd64    2.29.2-1+deb9u1
 libmozjs-24-0:amd64    24.2.0-5.1+b2
 libmp3lame0:amd64    3.99.5+repack1-9+b2
 libmpc3:amd64    1.0.3-1+b2
@@ -1153,27 +1151,27 @@
 libreadline5:amd64    5.2+dfsg-3+b1
 libreadline7:amd64    7.0-3
 libregexp-common-perl    2016060801-1
-libreoffice-base-core    1:5.2.7-1+deb9u2
-libreoffice-calc    1:5.2.7-1+deb9u2
-libreoffice-common    1:5.2.7-1+deb9u2
-libreoffice-core    1:5.2.7-1+deb9u2
-libreoffice-draw    1:5.2.7-1+deb9u2
-libreoffice-gnome    1:5.2.7-1+deb9u2
-libreoffice-gtk3    1:5.2.7-1+deb9u2
-libreoffice-impress    1:5.2.7-1+deb9u2
-libreoffice-l10n-ar    1:5.2.7-1+deb9u2
-libreoffice-l10n-de    1:5.2.7-1+deb9u2
-libreoffice-l10n-es    1:5.2.7-1+deb9u2
-libreoffice-l10n-fa    1:5.2.7-1+deb9u2
-libreoffice-l10n-fr    1:5.2.7-1+deb9u2
-libreoffice-l10n-it    1:5.2.7-1+deb9u2
-libreoffice-l10n-pt    1:5.2.7-1+deb9u2
-libreoffice-l10n-ru    1:5.2.7-1+deb9u2
-libreoffice-l10n-vi    1:5.2.7-1+deb9u2
-libreoffice-l10n-zh-cn    1:5.2.7-1+deb9u2
-libreoffice-math    1:5.2.7-1+deb9u2
-libreoffice-style-galaxy    1:5.2.7-1+deb9u2
-libreoffice-writer    1:5.2.7-1+deb9u2
+libreoffice-base-core    1:5.2.7-1+deb9u3
+libreoffice-calc    1:5.2.7-1+deb9u3
+libreoffice-common    1:5.2.7-1+deb9u3
+libreoffice-core    1:5.2.7-1+deb9u3
+libreoffice-draw    1:5.2.7-1+deb9u3
+libreoffice-gnome    1:5.2.7-1+deb9u3
+libreoffice-gtk3    1:5.2.7-1+deb9u3
+libreoffice-impress    1:5.2.7-1+deb9u3
+libreoffice-l10n-ar    1:5.2.7-1+deb9u3
+libreoffice-l10n-de    1:5.2.7-1+deb9u3
+libreoffice-l10n-es    1:5.2.7-1+deb9u3
+libreoffice-l10n-fa    1:5.2.7-1+deb9u3
+libreoffice-l10n-fr    1:5.2.7-1+deb9u3
+libreoffice-l10n-it    1:5.2.7-1+deb9u3
+libreoffice-l10n-pt    1:5.2.7-1+deb9u3
+libreoffice-l10n-ru    1:5.2.7-1+deb9u3
+libreoffice-l10n-vi    1:5.2.7-1+deb9u3
+libreoffice-l10n-zh-cn    1:5.2.7-1+deb9u3
+libreoffice-math    1:5.2.7-1+deb9u3
+libreoffice-style-galaxy    1:5.2.7-1+deb9u3
+libreoffice-writer    1:5.2.7-1+deb9u3
 librest-0.7-0:amd64    0.8.0-2
 librevenge-0.0-0:amd64    0.0.4-6
 librole-tiny-perl    2.000005-1
@@ -1207,7 +1205,7 @@
 libsigc++-2.0-0v5:amd64    2.10.0-1
 libslang2:amd64    2.3.1-5
 libsm6:amd64    2:1.2.2-1+b3
-libsmartcols1:amd64    2.29.2-1
+libsmartcols1:amd64    2.29.2-1+deb9u1
 libsmbclient:amd64    2:4.5.12+dfsg-2+deb9u1
 libsnappy1v5:amd64    1.1.3-3
 libsndfile1:amd64    1.0.27-3
@@ -1299,7 +1297,7 @@
 libusb-1.0-0:amd64    2:1.0.21-1
 libusbmuxd4:amd64    1.0.10-3+b1
 libustr-1.0-1:amd64    1.0.4-6
-libuuid1:amd64    2.29.2-1
+libuuid1:amd64    2.29.2-1+deb9u1
 libuv1:amd64    1.9.1-3
 libv4l-0:amd64    1.12.3-1
 libv4lconvert0:amd64    1.12.3-1
@@ -1317,7 +1315,7 @@
 libvorbis0a:amd64    1.3.5-4+deb9u1
 libvorbisenc2:amd64    1.3.5-4+deb9u1
 libvorbisfile3:amd64    1.3.5-4+deb9u1
-libvpx4:amd64    1.6.1-3
+libvpx4:amd64    1.6.1-3+deb9u1
 libvte-2.91-0:amd64    0.46.1-1
 libvte-2.91-common    0.46.1-1
 libwacom-common    0.22-1
@@ -1328,7 +1326,7 @@
 libwayland-egl1-mesa:amd64    13.0.6-1+b2
 libwayland-server0:amd64    1.12.0-1
 libwbclient0:amd64    2:4.5.12+dfsg-2+deb9u1
-libwebkit2gtk-4.0-37:amd64    2.16.6-0+deb9u1
+libwebkit2gtk-4.0-37:amd64    2.18.6-1~deb9u1
 libwebkitgtk-3.0-0:amd64    2.4.11-3
 libwebp6:amd64    0.5.2-1
 libwebpdemux2:amd64    0.5.2-1
@@ -1471,7 +1469,7 @@
 modemmanager    1.6.4-1
 monkeysign    2.2.3
 monkeysphere    0.41-1
-mount    2.29.2-1
+mount    2.29.2-1+deb9u1
 mousetweaks    3.12.0-1+b1
 msva-perl    0.9.2-1
 mtools    4.0.18-2+b1
@@ -1499,7 +1497,7 @@
 onionshare    0.9.2-1
 open-vm-tools    2:10.1.5-5055683-4+deb9u1
 openpgp-applet    1.1-1
-openssh-client    1:7.4p1-10+deb9u2
+openssh-client    1:7.4p1-10+deb9u3
 openssl    1.1.0f-3+deb9u1
 p11-kit    0.23.3-2
 p11-kit-modules:amd64    0.23.3-2
@@ -1781,21 +1779,21 @@
 udev    237-3~bpo9+1
 udisks2    2.1.8-1
 unar    1.10.1-1+b1
-uno-libs3    5.2.7-1+deb9u2
+uno-libs3    5.2.7-1+deb9u3
 unzip    6.0-21
 update-inetd    4.44
 upower    0.99.4-4+b1
-ure    5.2.7-1+deb9u2
+ure    5.2.7-1+deb9u3
 usb-modeswitch    2.5.0+repack0-1
 usb-modeswitch-data    20170120-1
 usbutils    1:007-4+b1
 user-setup    1.67
-util-linux    2.29.2-1
+util-linux    2.29.2-1+deb9u1
 va-driver-all:amd64    1.7.3-2
 vim-common    2:8.0.0197-4+deb9u1
 vim-tiny    2:8.0.0197-4+deb9u1
-virtualbox-guest-utils    5.2.8-dfsg-1
-virtualbox-guest-x11    5.2.8-dfsg-1
+virtualbox-guest-utils    5.2.8-dfsg-2
+virtualbox-guest-x11    5.2.8-dfsg-2
 wget    1.18-5+deb9u1
 whiptail    0.52.19-1+b1
 whisperback    1.7.14

.build-manifest diff compared to 3.6~rc1's

@@ -1,9 +1,9 @@
 ---
 origin_references:
   debian:
-    reference: '2018030102'
+    reference: '2018031004'
   debian-security:
-    reference: '2018030104'
+    reference: '2018031004'
   torproject:
     reference: '2018030102'
 packages:
@@ -52,10 +52,10 @@
     version: '1.11'
   - arch: all
     package: apparmor-profiles
-    version: 2.11.0-3+deb9u1
+    version: 2.11.0-3+deb9u2
   - arch: amd64
     package: apparmor
-    version: 2.11.0-3+deb9u1
+    version: 2.11.0-3+deb9u2
   - arch: all
     package: apt-listchanges
     version: '3.10'
@@ -94,7 +94,7 @@
     version: 1:019-3
   - arch: amd64
     package: base-files
-    version: 9.9+deb9u3
+    version: 9.9+deb9u4
   - arch: amd64
     package: base-passwd
     version: 3.5.43
@@ -142,6 +142,9 @@
     version: 3.2.2-2
   - arch: amd64
     package: bsdutils
+    version: 1:2.29.2-1+deb9u1
+  - arch: amd64
+    package: bsdutils
     version: 1:2.29.2-1
   - arch: amd64
     package: build-essential
@@ -220,9 +223,6 @@
     version: 3.18-1
   - arch: amd64
     package: cron
-    version: 3.0pl1-128+b1
-  - arch: amd64
-    package: cron
     version: 3.0pl1-128+deb9u1
   - arch: amd64
     package: cryptsetup-bin
@@ -277,13 +277,13 @@
     version: 5.0.0~beta~repack-2
   - arch: all
     package: dbus-user-session
-    version: 1.10.24-0+deb9u1
+    version: 1.10.26-0+deb9u1
   - arch: amd64
     package: dbus-x11
-    version: 1.10.24-0+deb9u1
+    version: 1.10.26-0+deb9u1
   - arch: amd64
     package: dbus
-    version: 1.10.24-0+deb9u1
+    version: 1.10.26-0+deb9u1
   - arch: amd64
     package: dconf-cli
     version: 0.26.0-2+b1
@@ -359,9 +359,6 @@
   - arch: all
     package: dmz-cursor-theme
     version: 0.4.4
-  - arch: amd64
-    package: dnsutils
-    version: 1:9.10.3.dfsg.P4-12.3+deb9u4
   - arch: all
     package: doc-debian
     version: '6.4'
@@ -426,18 +423,6 @@
     package: exfat-utils
     version: 1.2.5-2
   - arch: amd64
-    package: exim4-base
-    version: 4.89-2+deb9u3
-  - arch: all
-    package: exim4-config
-    version: 4.89-2+deb9u3
-  - arch: amd64
-    package: exim4-daemon-light
-    version: 4.89-2+deb9u3
-  - arch: all
-    package: exim4
-    version: 4.89-2+deb9u3
-  - arch: amd64
     package: exiv2
     version: 0.25-3.1
   - arch: amd64
@@ -637,7 +622,7 @@
     version: 1.2-2
   - arch: all
     package: fonts-opensymbol
-    version: 2:102.7+LibO5.2.7-1+deb9u2
+    version: 2:102.7+LibO5.2.7-1+deb9u3
   - arch: all
     package: fonts-orya-extra
     version: 2.0-4
@@ -786,9 +771,6 @@
     package: gcc-6-base
     version: 6.3.0-18+deb9u1
   - arch: amd64
-    package: gcc-6-base
-    version: 6.3.0-18
-  - arch: amd64
     package: gcc-6
     version: 6.3.0-18+deb9u1
   - arch: amd64
@@ -907,7 +889,7 @@
     version: 2.4.11-3
   - arch: amd64
     package: gir1.2-javascriptcoregtk-4.0
-    version: 2.16.6-0+deb9u1
+    version: 2.18.6-1~deb9u1
   - arch: amd64
     package: gir1.2-json-1.0
     version: 1.2.6-1
@@ -964,7 +946,7 @@
     version: 2.4.11-3
   - arch: amd64
     package: gir1.2-webkit2-4.0
-    version: 2.16.6-0+deb9u1
+    version: 2.18.6-1~deb9u1
   - arch: amd64
     package: gir1.2-wnck-3.0
     version: 3.20.1-3
@@ -1111,7 +1093,7 @@
     version: 2.27-2
   - arch: amd64
     package: grilo-plugins-0.3
-    version: 0.3.3-1
+    version: 0.3.3-1+deb9u1
   - arch: amd64
     package: groff-base
     version: 1.22.3-9
@@ -1173,9 +1155,6 @@
     package: gtkhash
     version: 0.7.0-4
   - arch: amd64
-    package: guile-2.0-libs
-    version: 2.0.13+1-4
-  - arch: amd64
     package: gvfs-backends
     version: 1.30.4-1
   - arch: all
@@ -1208,9 +1187,6 @@
   - arch: amd64
     package: hopenpgp-tools
     version: 0.19.4-3
-  - arch: all
-    package: host
-    version: 1:9.10.3.dfsg.P4-12.3+deb9u4
   - arch: amd64
     package: hostname
     version: 3.18+b1
@@ -1327,9 +1303,15 @@
     version: 3:20161105-1
   - arch: amd64
     package: isc-dhcp-client
+    version: 4.3.5-3+deb9u1
+  - arch: amd64
+    package: isc-dhcp-client
     version: 4.3.5-3
   - arch: amd64
     package: isc-dhcp-common
+    version: 4.3.5-3+deb9u1
+  - arch: amd64
+    package: isc-dhcp-common
     version: 4.3.5-3
   - arch: all
     package: iso-codes
@@ -1405,13 +1387,10 @@
     version: 1.2.2-1
   - arch: amd64
     package: libapparmor-perl
-    version: 2.11.0-3+deb9u1
-  - arch: amd64
-    package: libapparmor1
-    version: 2.11.0-3+deb9u1
+    version: 2.11.0-3+deb9u2
   - arch: amd64
     package: libapparmor1
-    version: 2.11.0-3
+    version: 2.11.0-3+deb9u2
   - arch: amd64
     package: libapt-inst2.0
     version: 1.4.8
@@ -1543,6 +1522,9 @@
     version: 3.7.0-2
   - arch: amd64
     package: libblkid1
+    version: 2.29.2-1+deb9u1
+  - arch: amd64
+    package: libblkid1
     version: 2.29.2-1
   - arch: amd64
     package: libbluetooth3
@@ -1594,9 +1576,6 @@
     version: 1.0.6-8.1
   - arch: amd64
     package: libc-bin
-    version: 2.24-11+deb9u1
-  - arch: amd64
-    package: libc-bin
     version: 2.24-11+deb9u3
   - arch: amd64
     package: libc-dev-bin
@@ -1609,9 +1588,6 @@
     version: 2.24-11+deb9u3
   - arch: amd64
     package: libc6
-    version: 2.24-11+deb9u1
-  - arch: amd64
-    package: libc6
     version: 2.24-11+deb9u3
   - arch: amd64
     package: libcaca0
@@ -1888,7 +1864,7 @@
     version: 5.3.28-12+deb9u1
   - arch: amd64
     package: libdbus-1-3
-    version: 1.10.24-0+deb9u1
+    version: 1.10.26-0+deb9u1
   - arch: amd64
     package: libdbus-glib-1-2
     version: 0.108-2
@@ -1948,9 +1924,6 @@
     version: 2.9.37-1
   - arch: amd64
     package: libdns-export162
-    version: 1:9.10.3.dfsg.P4-12.3+deb9u3
-  - arch: amd64
-    package: libdns-export162
     version: 1:9.10.3.dfsg.P4-12.3+deb9u4
   - arch: amd64
     package: libdns162
@@ -2128,6 +2101,9 @@
     version: 0.99.4-1
   - arch: amd64
     package: libfdisk1
+    version: 2.29.2-1+deb9u1
+  - arch: amd64
+    package: libfdisk1
     version: 2.29.2-1
   - arch: amd64
     package: libffi6
@@ -2217,9 +2193,6 @@
     package: libgcc1
     version: 1:6.3.0-18+deb9u1
   - arch: amd64
-    package: libgcc1
-    version: 1:6.3.0-18
-  - arch: amd64
     package: libgck-1-0
     version: 3.20.0-5.1
   - arch: all
@@ -2692,9 +2665,6 @@
     version: 1.0.4-6+b1
   - arch: amd64
     package: libisc-export160
-    version: 1:9.10.3.dfsg.P4-12.3+deb9u3
-  - arch: amd64
-    package: libisc-export160
     version: 1:9.10.3.dfsg.P4-12.3+deb9u4
   - arch: amd64
     package: libisc160
@@ -2731,7 +2701,7 @@
     version: 2.4.11-3
   - arch: amd64
     package: libjavascriptcoregtk-4.0-18
-    version: 2.16.6-0+deb9u1
+    version: 2.18.6-1~deb9u1
   - arch: amd64
     package: libjbig0
     version: 2.1-3.1+b2
@@ -2792,9 +2762,6 @@
   - arch: amd64
     package: libksba8
     version: 1.3.5-2
-  - arch: amd64
-    package: libkyotocabinet16v5
-    version: 1.2.76-4.2+b1
   - arch: all
     package: liblangtag-common
     version: 0.6.2-1
@@ -2922,12 +2889,6 @@
     package: libmagickwand-6.q16-3
     version: 8:6.9.7.4+dfsg-11+deb9u4
   - arch: amd64
-    package: libmailutils5
-    version: 1:3.1.1-1
-  - arch: amd64
-    package: libmariadbclient18
-    version: 10.1.26-0+deb9u1
-  - arch: amd64
     package: libmbim-glib4
     version: 1.14.0-1+b1
   - arch: amd64
@@ -3022,6 +2983,9 @@
     version: 0.015-2
   - arch: amd64
     package: libmount1
+    version: 2.29.2-1+deb9u1
+  - arch: amd64
+    package: libmount1
     version: 2.29.2-1
   - arch: amd64
     package: libmozjs-24-0
@@ -3100,15 +3064,9 @@
     version: 3.22.3-1+deb9u1
   - arch: amd64
     package: libncurses5
-    version: 6.0+20161126-1+deb9u1
-  - arch: amd64
-    package: libncurses5
     version: 6.0+20161126-1+deb9u2
   - arch: amd64
     package: libncursesw5
-    version: 6.0+20161126-1+deb9u1
-  - arch: amd64
-    package: libncursesw5
     version: 6.0+20161126-1+deb9u2
   - arch: amd64
     package: libndp0
@@ -3637,67 +3595,67 @@
     version: 2016060801-1
   - arch: amd64
     package: libreoffice-base-core
-    version: 1:5.2.7-1+deb9u2
+    version: 1:5.2.7-1+deb9u3
   - arch: amd64
     package: libreoffice-calc
-    version: 1:5.2.7-1+deb9u2
+    version: 1:5.2.7-1+deb9u3
   - arch: all
     package: libreoffice-common
-    version: 1:5.2.7-1+deb9u2
+    version: 1:5.2.7-1+deb9u3
   - arch: amd64
     package: libreoffice-core
-    version: 1:5.2.7-1+deb9u2
+    version: 1:5.2.7-1+deb9u3
   - arch: amd64
     package: libreoffice-draw
-    version: 1:5.2.7-1+deb9u2
+    version: 1:5.2.7-1+deb9u3
   - arch: amd64
     package: libreoffice-gnome
-    version: 1:5.2.7-1+deb9u2
+    version: 1:5.2.7-1+deb9u3
   - arch: amd64
     package: libreoffice-gtk3
-    version: 1:5.2.7-1+deb9u2
+    version: 1:5.2.7-1+deb9u3
   - arch: amd64
     package: libreoffice-impress
-    version: 1:5.2.7-1+deb9u2
+    version: 1:5.2.7-1+deb9u3
   - arch: all
     package: libreoffice-l10n-ar
-    version: 1:5.2.7-1+deb9u2
+    version: 1:5.2.7-1+deb9u3
   - arch: all
     package: libreoffice-l10n-de
-    version: 1:5.2.7-1+deb9u2
+    version: 1:5.2.7-1+deb9u3
   - arch: all
     package: libreoffice-l10n-es
-    version: 1:5.2.7-1+deb9u2
+    version: 1:5.2.7-1+deb9u3
   - arch: all
     package: libreoffice-l10n-fa
-    version: 1:5.2.7-1+deb9u2
+    version: 1:5.2.7-1+deb9u3
   - arch: all
     package: libreoffice-l10n-fr
-    version: 1:5.2.7-1+deb9u2
+    version: 1:5.2.7-1+deb9u3
   - arch: all
     package: libreoffice-l10n-it
-    version: 1:5.2.7-1+deb9u2
+    version: 1:5.2.7-1+deb9u3
   - arch: all
     package: libreoffice-l10n-pt
-    version: 1:5.2.7-1+deb9u2
+    version: 1:5.2.7-1+deb9u3
   - arch: all
     package: libreoffice-l10n-ru
-    version: 1:5.2.7-1+deb9u2
+    version: 1:5.2.7-1+deb9u3
   - arch: all
     package: libreoffice-l10n-vi
-    version: 1:5.2.7-1+deb9u2
+    version: 1:5.2.7-1+deb9u3
   - arch: all
     package: libreoffice-l10n-zh-cn
-    version: 1:5.2.7-1+deb9u2
+    version: 1:5.2.7-1+deb9u3
   - arch: amd64
     package: libreoffice-math
-    version: 1:5.2.7-1+deb9u2
+    version: 1:5.2.7-1+deb9u3
   - arch: all
     package: libreoffice-style-galaxy
-    version: 1:5.2.7-1+deb9u2
+    version: 1:5.2.7-1+deb9u3
   - arch: amd64
     package: libreoffice-writer
-    version: 1:5.2.7-1+deb9u2
+    version: 1:5.2.7-1+deb9u3
   - arch: amd64
     package: librest-0.7-0
     version: 0.8.0-2
@@ -3802,6 +3760,9 @@
     version: 2:1.2.2-1+b3
   - arch: amd64
     package: libsmartcols1
+    version: 2.29.2-1+deb9u1
+  - arch: amd64
+    package: libsmartcols1
     version: 2.29.2-1
   - arch: amd64
     package: libsmbclient
@@ -3883,9 +3844,6 @@
     version: 1.7.0-1
   - arch: amd64
     package: libssl1.0.2
-    version: 1.0.2l-2+deb9u1
-  - arch: amd64
-    package: libssl1.0.2
     version: 1.0.2l-2+deb9u2
   - arch: amd64
     package: libssl1.1
@@ -3900,9 +3858,6 @@
     package: libstdc++6
     version: 6.3.0-18+deb9u1
   - arch: amd64
-    package: libstdc++6
-    version: 6.3.0-18
-  - arch: amd64
     package: libstemmer0d
     version: 0+svn585-1+b2
   - arch: all
@@ -3958,7 +3913,7 @@
     version: 0.66-2
   - arch: amd64
     package: libsystemd0
-    version: 232-25+deb9u1
+    version: 232-25+deb9u2
   - arch: amd64
     package: libsystemd0
     version: 237-3~bpo9+1
@@ -3978,9 +3933,6 @@
     package: libtasn1-6
     version: 4.10-1.1+deb9u1
   - arch: amd64
-    package: libtasn1-6
-    version: 4.10-1.1
-  - arch: amd64
     package: libtbb2
     version: 4.3~20150611-2
   - arch: amd64
@@ -4030,9 +3982,6 @@
     version: 2.3000-2
   - arch: amd64
     package: libtinfo5
-    version: 6.0+20161126-1+deb9u1
-  - arch: amd64
-    package: libtinfo5
     version: 6.0+20161126-1+deb9u2
   - arch: amd64
     package: libtk8.6
@@ -4072,7 +4021,7 @@
     version: 237-3~bpo9+1
   - arch: amd64
     package: libudev1
-    version: 232-25+deb9u1
+    version: 232-25+deb9u2
   - arch: amd64
     package: libudev1
     version: 237-3~bpo9+1
@@ -4111,6 +4060,9 @@
     version: 1.0.4-6
   - arch: amd64
     package: libuuid1
+    version: 2.29.2-1+deb9u1
+  - arch: amd64
+    package: libuuid1
     version: 2.29.2-1
   - arch: amd64
     package: libuv1
@@ -4165,7 +4117,7 @@
     version: 1.3.5-4+deb9u1
   - arch: amd64
     package: libvpx4
-    version: 1.6.1-3
+    version: 1.6.1-3+deb9u1
   - arch: amd64
     package: libvte-2.91-0
     version: 0.46.1-1
@@ -4198,7 +4150,7 @@
     version: 2:4.5.12+dfsg-2+deb9u1
   - arch: amd64
     package: libwebkit2gtk-4.0-37
-    version: 2.16.6-0+deb9u1
+    version: 2.18.6-1~deb9u1
   - arch: amd64
     package: libwebkitgtk-3.0-0
     version: 2.4.11-3
@@ -4540,7 +4492,7 @@
     version: 4.15.4-1
   - arch: amd64
     package: linux-libc-dev
-    version: 4.9.82-1+deb9u2
+    version: 4.9.82-1+deb9u3
   - arch: all
     package: linux-source-4.15
     version: 4.15.4-1
@@ -4613,12 +4565,6 @@
   - arch: amd64
     package: macchanger
     version: 1.7.0-5.3+b1
-  - arch: all
-    package: mailutils-common
-    version: 1:3.1.1-1
-  - arch: amd64
-    package: mailutils
-    version: 1:3.1.1-1
   - arch: amd64
     package: make
     version: 4.1-9.1
@@ -4660,6 +4606,9 @@
     version: 0.41-1
   - arch: amd64
     package: mount
+    version: 2.29.2-1+deb9u1
+  - arch: amd64
+    package: mount
     version: 2.29.2-1
   - arch: amd64
     package: mousetweaks
@@ -4672,9 +4621,6 @@
     version: 4.0.18-2+b1
   - arch: amd64
     package: multiarch-support
-    version: 2.24-11+deb9u1
-  - arch: amd64
-    package: multiarch-support
     version: 2.24-11+deb9u3
   - arch: all
     package: mutter-common
@@ -4685,9 +4631,6 @@
   - arch: all
     package: myspell-fa
     version: 0.20070816-3
-  - arch: all
-    package: mysql-common
-    version: 5.8+1.0.2
   - arch: amd64
     package: nano
     version: 2.7.4-1
@@ -4705,15 +4648,9 @@
     version: 3.22.3-1+deb9u1
   - arch: all
     package: ncurses-base
-    version: 6.0+20161126-1+deb9u1
-  - arch: all
-    package: ncurses-base
     version: 6.0+20161126-1+deb9u2
   - arch: amd64
     package: ncurses-bin
-    version: 6.0+20161126-1+deb9u1
-  - arch: amd64
-    package: ncurses-bin
     version: 6.0+20161126-1+deb9u2
   - arch: all
     package: ncurses-term
@@ -4759,7 +4696,7 @@
     version: 1.1-1
   - arch: amd64
     package: openssh-client
-    version: 1:7.4p1-10+deb9u2
+    version: 1:7.4p1-10+deb9u3
   - arch: amd64
     package: openssl
     version: 1.1.0f-3+deb9u1
@@ -5182,7 +5119,7 @@
     version: 0.1.20170117-1
   - arch: all
     package: python3-reportbug
-    version: 7.1.7
+    version: 7.1.7+deb9u1
   - arch: amd64
     package: python3-reportlab-accel
     version: 3.3.0-2
@@ -5263,7 +5200,7 @@
     version: 0.20-4
   - arch: all
     package: reportbug
-    version: 7.1.7
+    version: 7.1.7+deb9u1
   - arch: amd64
     package: rfkill
     version: 0.5-1+b1
@@ -5310,9 +5247,6 @@
     package: sensible-utils
     version: 0.0.9+deb9u1
   - arch: all
-    package: sensible-utils
-    version: 0.0.9
-  - arch: all
     package: sgml-base
     version: '1.29'
   - arch: amd64
@@ -5380,13 +5314,13 @@
     version: 1.5.7-3
   - arch: amd64
     package: systemd-sysv
-    version: 232-25+deb9u1
+    version: 232-25+deb9u2
   - arch: amd64
     package: systemd-sysv
     version: 237-3~bpo9+1
   - arch: amd64
     package: systemd
-    version: 232-25+deb9u1
+    version: 232-25+deb9u2
   - arch: amd64
     package: systemd
     version: 237-3~bpo9+1
@@ -5418,9 +5352,6 @@
     package: tasksel
     version: '3.39'
   - arch: amd64
-    package: tcpd
-    version: 7.6.q-26
-  - arch: amd64
     package: tcpdump
     version: 4.9.2-1~deb9u1
   - arch: amd64
@@ -5650,16 +5581,13 @@
     version: 1:9.0.06-2
   - arch: all
     package: tzdata
-    version: 2017c-0+deb9u1
-  - arch: all
-    package: tzdata
     version: 2018c-0+deb9u1
   - arch: all
     package: ucf
     version: '3.0036'
   - arch: amd64
     package: udev
-    version: 232-25+deb9u1
+    version: 232-25+deb9u2
   - arch: amd64
     package: udev
     version: 237-3~bpo9+1
@@ -5671,7 +5599,7 @@
     version: 1.10.1-1+b1
   - arch: amd64
     package: uno-libs3
-    version: 5.2.7-1+deb9u2
+    version: 5.2.7-1+deb9u3
   - arch: amd64
     package: unzip
     version: 6.0-21
@@ -5683,7 +5611,7 @@
     version: 0.99.4-4+b1
   - arch: amd64
     package: ure
-    version: 5.2.7-1+deb9u2
+    version: 5.2.7-1+deb9u3
   - arch: all
     package: usb-modeswitch-data
     version: 20170120-1
@@ -5698,6 +5626,9 @@
     version: '1.67'
   - arch: amd64
     package: util-linux
+    version: 2.29.2-1+deb9u1
+  - arch: amd64
+    package: util-linux
     version: 2.29.2-1
   - arch: amd64
     package: va-driver-all
@@ -5710,13 +5641,13 @@
     version: 2:8.0.0197-4+deb9u1
   - arch: all
     package: virtualbox-guest-dkms
-    version: 5.2.8-dfsg-1
+    version: 5.2.8-dfsg-2
   - arch: amd64
     package: virtualbox-guest-utils
-    version: 5.2.8-dfsg-1
+    version: 5.2.8-dfsg-2
   - arch: amd64
     package: virtualbox-guest-x11
-    version: 5.2.8-dfsg-1
+    version: 5.2.8-dfsg-2
   - arch: all
     package: wamerican
     version: 7.1-1

#10 Updated by intrigeri about 1 year ago

post-merge steps

Bump the expiration date of the affected APT snapshot.

#11 Updated by bertagaz about 1 year ago

  • Status changed from In Progress to Fix committed
  • Assignee deleted (bertagaz)
  • QA Check changed from Ready for QA to Pass

Sounds good. I was close to merge it last week, but it hen went crazy. The diff does not seem awful, and automated tests do not raise something suspicious, we ot's merged. Thanks for your reactivity, and sorry for mine.

#12 Updated by bertagaz about 1 year ago

  • Status changed from Fix committed to Resolved

Also available in: Atom PDF